GCC 5.3.0 Make install fails

Glenn Wolosh gwolosh@njit.edu
Wed Jul 13 01:00:00 GMT 2016


> On Jul 12, 2016, at 4:56 PM, Jonathan Wakely <jwakely.gcc@gmail.com> wrote:
> 
> On 12 July 2016 at 20:35, Gedaliah Wolosh wrote:
>> 
>> 
>> Jonathan Wakely wrote:
>> 
>> 
>> On 12 July 2016 at 20:02, Gedaliah Wolosh wrote:
>> 
>> 
>> Hello,
>> 
>> I'm running this on Scientific Linux 7.2
>> 
>> My configure --
>> 
>>  ../gcc-5.3.0/configure --prefix=$PREFIX \
>> 
>> 
>> 
>> Maybe not the problem, but do you already have another version of GCC
>> 5.x in $PREFIX or in your $PATH?
>> 
>> 
>> 
>> In fact, I do in $PREFIX. My plan was to wipe it after successfully building
>> the new version.
> 
> Then I think what's happening is that the new GCC you've built depends
> on the shared libraries in $PREFIX/lib64 but the dynamic loader can't
> find those libraries.
> 
> If you set LD_LIBRARY_PATH=$PREFIX/lib64 in your environment that
> should allow you to build, but it might be better to just ensure you
> don't use $PREFIX/bin/g++ for the build.

$PREFIX/bin is not in my path and the g++ used is the system g++ version 4.8.5. I tried this with 5.4.0 which has nothing in $PREFIX and the results are the same.


More information about the Gcc-help mailing list